<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script type="text/javascript">
		
       // argumento es un array a la funcion suma
        //suma los elementos de un array

		function suma (argumento){
           
             let s=0;
               for (let i=0;i<argumento.length;i++){
           
                 s=s+argumento[i];

               }

             return s;

		}
        
              // calcula la media de los elementos de un array
              // argumentos un array de numeros

        function media(argumento){

             let m=0;
              let s=0;

             s=suma(argumento);
             m=s/argumento.length;
               
      

             return m;

        }  


                   //programa principal

           let numeros=[4,9,8,10];
           
           let sPrincipal=0;
           let mPrincipal=0;
           sPrincipal=suma(numeros);
           mPrincipal=media(numeros);
                 document.write("la suma",sPrincipal);
                 document.write("la media",mPrincipal);
                
                sPrincipal=suma([2,2,2,2]);
                mPrincipal=media([2,2,2]); 

                 document.write("la suma",sPrincipal);
                 document.write("la media",mPrincipal);
	</script>
</body>
</html>